/*******************************************************************************
*                                                                              *
* Société de Transports de Montréal.                                    	   *
* 2012                                                                         *
*                                                                              *
* Projet Zones Tests                                                           *
*                                                                              *
*                                                                              *
*                                                                              *
*******************************************************************************/
/*
    Description:
    Page qui est affichée lors du démarrage de l'application.  Elle affiche tout
    simplement un message à l'utilisateur.

*/

/* ************************************************************************** */
/* Revision:
### 20121220 JFM
    Verision d'origine.

### YYYMMDD Description du besoin ou du bug
    Description du changement.
 */

/* ************************************************************************** */


#include "WelcomePage.h"
#include <QPainter>
#include "GlobalDefine.h"
#include "QCoreApplication"



CWelcomePage::CWelcomePage(QGraphicsWidget *Parent)
{
	Q_UNUSED(Parent)
    setGeometry(0,0,SCREEN_RES_WIDTH,SCREEN_RES_HEIGHT);

    mTextBoxWidget.setParentItem(this);

    CEngLog::instance()->AddLogString("CWelcomePage::CWelcomePage.  CWelcomePage créée avec succès",2);

}

void CWelcomePage::InsertTextBoxString(QString string)
{
    mTextBoxWidget.InsertString(string);
    QCoreApplication::processEvents();
}

void CWelcomePage::ClearTextBoxWidget()
{
    mTextBoxWidget.ClearText();
}

void CWelcomePage::ShowTextboxWidget()
{
    mTextBoxWidget.ShowTextBox();
}
